USE teachcloud_db;

update exam_detail ed set ed.exam_id = (select epp.exam_id from exam_print_plan epp where ed.school_id = epp.school_id and ed.print_plan_id = epp.id);

update exam_task_sync ets set ets.exam_id = (select et.exam_id from exam_task et where ets.school_id = et.school_id and ets.paper_number = et.paper_number);

UPDATE exam_student es 
SET es.exam_id = (
SELECT
epp.exam_id 
FROM
exam_detail ed
LEFT JOIN exam_detail_course edc ON ed.id = edc.exam_detail_id
LEFT JOIN exam_print_plan epp ON ed.print_plan_id = epp.id 
WHERE
edc.id = es.exam_detail_course_id);

update grade_batch_paper gb set exam_id = (select exam_id from exam_task et where gb.paper_number = et.paper_number) where id > 0;

update grade_module_define gb set exam_id = (select exam_id from exam_task et where gb.paper_number = et.paper_number) where id > 0;

update grade_module_evaluation gb set exam_id = (select exam_id from exam_task et where gb.paper_number = et.paper_number) where id > 0;

update grade_paper gb set exam_id = (select exam_id from exam_task et where gb.paper_number = et.paper_number) where id > 0;

update grade_paper_dimension gb set exam_id = (select exam_id from exam_task et where gb.paper_number = et.paper_number) where id > 0;

update grade_paper_struct gb set exam_id = (select exam_id from exam_task et where gb.paper_number = et.paper_number) where id > 0;
	
UPDATE `sys_privilege` SET `related` = '50,49,621' WHERE (`id` = '310');

update t_sync_exam_log set third_relate_id = exam_id where id >0;

update t_sync_exam_student_score set third_relate_id = exam_id where id >0;