package com.qmth.distributed.print.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.distributed.print.business.entity.ExamCardDetail;
import com.qmth.distributed.print.business.entity.ExamTask;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 题卡详情 Mapper 接口
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
public interface ExamCardDetailMapper extends BaseMapper<ExamCardDetail> {

    List<ExamTask> getExamTaskByCourseCodeAndCardId(@Param("schoolId") Long schoolId, @Param("courseCode") String courseCode, @Param("cardId") String cardId);
}
