package com.qmth.distributed.print.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.distributed.print.business.entity.TSyncExamLog;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 同步考生成绩汇总表 Mapper 接口
 * </p>
 */
public interface TSyncExamLogMapper extends BaseMapper<TSyncExamLog> {

    IPage<TSyncExamLog> list(Page<TSyncExamLog> iPage, @Param("semesterId") Long semesterId, @Param("examId") Long examId);
}
