package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.distributed.print.business.entity.ExamCardDetail;
import com.qmth.distributed.print.business.entity.ExamTask;

import java.util.List;

/**
 * <p>
 * 题卡详情 服务类
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
public interface ExamCardDetailService extends IService<ExamCardDetail> {

    ExamCardDetail getByCardId(Long cardId);

    void removeByCardId(Long id);

    List<ExamTask> getExamTaskByCourseCodeAndCardId(Long schoolId, String courseCode, String cardId);
}
