package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.distributed.print.business.entity.TSyncExamLog;

/**
 * <p>
 * 同步考生成绩汇总表 服务类
 * </p>
 */
public interface TSyncExamLogService extends IService<TSyncExamLog> {

    IPage<TSyncExamLog> list(Page<TSyncExamLog> iPage, Long semesterId, Long examId);

    void syncStudentScore(Long semesterId, Long examId, Long thirdRelateId);

    TSyncExamLog selectBySchoolIdAndSemesterIdAndExamId(Long schoolId, Long semesterId, Long examId, Long thirdRelateId);
}
