USE teachcloud_db;

ALTER TABLE `exam_detail` 
ADD COLUMN `exam_id` BIGINT(20) NULL COMMENT '考试ID' AFTER `print_plan_id`;

ALTER TABLE `exam_task_sync` 
ADD COLUMN `exam_id` BIGINT(20) NOT NULL COMMENT '考试ID' AFTER `school_id`;

ALTER TABLE `exam_student` 
ADD COLUMN `exam_id` BIGINT(20) NULL COMMENT '考试ID' AFTER `student_code`;

ALTER TABLE `grade_batch` 
ADD COLUMN `exam_id` BIGINT NOT NULL COMMENT '知学知考考试id' AFTER `semester_id`;

ALTER TABLE `grade_paper` 
ADD COLUMN `exam_id` BIGINT NOT NULL COMMENT '知学知考考试id' AFTER `school_id`;

ALTER TABLE `grade_paper_dimension` 
ADD COLUMN `exam_id` BIGINT NOT NULL COMMENT '考试id' AFTER `school_id`;

ALTER TABLE `grade_paper_struct` 
ADD COLUMN `exam_id` BIGINT NOT NULL COMMENT '知学知考考试id' AFTER `school_id`;

ALTER TABLE `grade_batch_paper` 
ADD COLUMN `exam_id` BIGINT NOT NULL COMMENT '知学知考考试id' AFTER `org_id`;

ALTER TABLE `grade_module_define` 
ADD COLUMN `exam_id` BIGINT NOT NULL COMMENT '考试id' AFTER `school_id`;

ALTER TABLE `grade_module_evaluation` 
ADD COLUMN `exam_id` BIGINT NOT NULL COMMENT '考试id' AFTER `school_id`;

ALTER TABLE `grade_paper_struct` 
CHANGE COLUMN `exam_Id` `exam_id` BIGINT NOT NULL COMMENT '知学知考考试id';

ALTER TABLE `t_sync_exam_log` 
ADD COLUMN `third_relate_id` INT(6) NULL COMMENT '云阅卷考试ID' AFTER `exam_id`;

ALTER TABLE `t_sync_exam_student_score` 
ADD COLUMN `third_relate_id` INT(6) NULL COMMENT '云阅卷考试ID' AFTER `exam_id`;