package com.qmth.teachcloud.common.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.teachcloud.common.bean.dto.SchoolDto;
import com.qmth.teachcloud.common.entity.BasicSchool;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 学校表 服务类
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
public interface BasicSchoolService extends IService<BasicSchool> {

    List<SchoolDto> listSchool();

    boolean updateSchool(Long id, String code, String name, MultipartFile logo, String logoMd5);
}
